%define         anolis_release 1

Name:           at-spi2-core
Version:        2.52.0
Release:        %{anolis_release}%{?dist}
Summary:        Protocol definitions and daemon for D-Bus at-spi

License:        LGPLv2+
URL:            https://github.com/GNOME/at-spi2-core
Source0:        https://download.gnome.org/sources/%{name}/2.52/%{name}-%{version}.tar.xz
Source1:        xwayland-session-scriptlet

BuildRequires:  gettext
BuildRequires:  gi-docgen >= 2021.1
BuildRequires:  meson >= 0.63.0
BuildRequires:  pkgconfig(dbus-1) >= 1.5
BuildRequires:  pkgconfig(gio-2.0) >= 2.28.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.67.4
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.9.1
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  /usr/bin/gdbus-codegen
BuildRequires:  /usr/bin/sphinx-build

Requires:       dbus
Requires:       /usr/bin/xprop

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
Obsoletes:      atk-doc < %{version}
Obsoletes:      at-spi2-atk-doc < %{version}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary: Development files and headers for at-spi2-core
Requires: %{name} = %{version}-%{release}

%description devel
The at-spi2-core-devel package includes the header files and
API documentation for libatspi.

%package -n atk
Summary: Interfaces for accessibility support
# Dependency required for translations.
Requires: at-spi2-core = %{version}-%{release}

%description -n atk
The ATK library provides a set of interfaces for adding accessibility
support to applications and graphical user interface toolkits. By
supporting the ATK interfaces, an application or toolkit can be used
with tools such as screen readers, magnifiers, and alternative input
devices.

%package -n atk-devel
Summary: Development files for the ATK accessibility toolkit
Requires: atk = %{version}-%{release}

%description -n atk-devel
This package includes libraries, header files, and developer documentation
needed for development of applications or toolkits which use ATK.

%package -n at-spi2-atk
Summary: A GTK+ module that bridges ATK to D-Bus at-spi
Requires: atk = %{version}-%{release}
Requires: at-spi2-core = %{version}-%{release}

%description -n at-spi2-atk
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.

%package -n at-spi2-atk-devel
Summary: A GTK+ module that bridges ATK to D-Bus at-spi
Requires: at-spi2-atk = %{version}-%{release}

%description -n at-spi2-atk-devel
The at-spi2-atk-devel package includes the header files for the at-spi2-atk
library.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson -Ddocs=true -Ddefault_bus=dbus-broker -Ddbus_daemon=/usr/bin/dbus-daemon -Ddbus_broker=/usr/bin/dbus-broker-launch
%meson_build

%install
%meson_install
install -Dpm 0755 %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi

%generate_compatibility_deps

%{find_lang} %{name}

%files -f %{name}.lang
%dir %{abidir}
%license COPYING
%{_libexecdir}/at-spi2-registryd
%dir %{_datadir}/defaults
%dir %{_datadir}/defaults/at-spi2
%{_datadir}/defaults/at-spi2/accessibility.conf
%{_sysconfdir}/xdg/autostart/at-spi-dbus-bus.desktop
# the 'logical' owner of this dir is gnome-settings-daemon, but g-s-d
# indirectly depends on this package, so depending on it to provide
# this directory would create a circular dependency. so we just co-own
# it instead
%dir %{_sysconfdir}/xdg/Xwayland-session.d
%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi
%{_libdir}/libatspi.so.*
%{abidir}/libatspi.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Atspi-2.0.typelib
%{_libexecdir}/at-spi-bus-launcher
%{_datadir}/dbus-1/accessibility-services/org.a11y.atspi.Registry.service
%{_datadir}/dbus-1/services/org.a11y.Bus.service
%{_userunitdir}/at-spi-dbus-bus.service

%files doc
%doc README.md

%files devel
%{_libdir}/libatspi.so
%{_docdir}/libatspi
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Atspi-2.0.gir
%{_includedir}/at-spi-2.0
%{_libdir}/pkgconfig/atspi-2.pc

%files -n atk
%license COPYING
%dir %{abidir}
%{_libdir}/libatk-1.0.so.*
%{abidir}/libatk-1.0.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Atk-1.0.typelib

%files -n atk-devel
%{_libdir}/libatk-1.0.so
%{_includedir}/atk-1.0
%{_libdir}/pkgconfig/atk.pc
%{_docdir}/atk
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Atk-1.0.gir

%files -n at-spi2-atk
%license COPYING
%dir %{abidir}
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/modules
%{_libdir}/gtk-2.0/modules/libatk-bridge.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop
%{_libdir}/libatk-bridge-2.0.so.*
%{abidir}/libatk-bridge-2.0.dump
%{abidir}/libatk-bridge.dump

%files -n at-spi2-atk-devel
%{_includedir}/at-spi2-atk/2.0/atk-bridge.h
%{_libdir}/libatk-bridge-2.0.so
%{_libdir}/pkgconfig/atk-bridge-2.0.pc

%changelog
* Mon Feb 24 2025 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.52.0
- Update to 2.52.0 from 2.48.2-2

* Tue Dec 19 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.48.2-2
- rebuild

* Fri May 12 2023 Funda Wang <fundawang@yeah.net> - 2.48.2-1
- New version 2.48.2

* Wed Mar 22 2023 Funda Wang <fundawang@yeah.net> - 2.48.0-1
- New version 2.48.0

* Sun Nov 27 2022 Funda Wang <fundawang@yeah.net> - 2.44.1-1
- New version 2.44.1

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.44.0-2
- optimise spec file & add doc package

* Thu Apr 14 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.44.0-1
- Init at-spi2-core for anolis os 23
